{% extends 'base.html.twig' %}

{% block body %}
    <div class="row pt-5">
        <h2 class="col text-center text-md-left">{{ product.name }} <span class="badge badge-success">Количество на складе {{ product.count }}</span>
        </h2>
    </div>
    <div class="row">
        <div class="col-3">
            {% if product.images | length > 0 %}
                <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
                    <div class="carousel-inner">
                        {% for img in product.images %}
                            <div class="carousel-item {% if loop.index == 1 %}active{% endif %}">
                                <img class="d-block w-100" src="{{ asset('uploads/images/' ~ img.link) }}"
                                     alt="First slide">
                            </div>
                        {% endfor %}
                    </div>
                    <a class="carousel-control-prev" href="#carouselExampleControls" role="button" data-slide="prev">
                        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                        <span class="sr-only">Пред.</span>
                    </a>
                    <a class="carousel-control-next" href="#carouselExampleControls" role="button" data-slide="next">
                        <span class="carousel-control-next-icon" aria-hidden="true"></span>
                        <span class="sr-only">След.</span>
                    </a>
                </div>
            {% else %}
                <img class="img-thumbnail"
                     alt="200x300"
                     src="{{ asset('img/placeholder.svg') }}"
                     data-holder-rendered="true" style="width: 200px; height: 300px;">
            {% endif %}
        </div>
        <div class="col-9">
            <div class="row">
                <div class="col-12">
                    <table class="table table-striped">
                        <tbody>
                        <tr>
                            <th scope="row">Цена</th>
                            <td><b>{{ product.price ~ ' ₽' }}</b></td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
            {% for char in characteristics %}
                <div class="row">
                    <h3>{{ char.parent.name }}</h3>
                    <div class="col-12">
                        <table class="table table-striped">
                            <tbody>
                            {% for c in char.chars %}
                                <tr>
                                    <th scope="row"><b>{{ c.name }}</b></th>
                                    <td>{{ c.value }}</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            {% endfor %}
        </div>

        <div class="row mt-5">
            <h3 class="col text-center text-md-left">Описание</h3>
            <div class="col-12">
                {% if product.description %}
                    {{ product.description }}
                {% else %}
                    <div class="alert alert-warning" role="alert">
                        Описание отсутствует!
                    </div>
                {% endif %}
            </div>
        </div>
    </div>

{% endblock %}

{% block javascripts %}
    <script>
        $('#confirm-delete').on('show.bs.modal', function (e) {
            $(this).find('.btn-ok').attr('href', $(e.relatedTarget).data('href'));
        });
    </script>
{% endblock %}